## org.eclipse.datatools.modelbase.sql.query
Interface WithTableReference

All Superinterfaces:
  SQLObject, SQLQueryObject, TableExpression, TableReference

All Known Implementing Classes:
  WithTableReferenceImpl

    public interface WithTableReference

extends TableExpression

A representation of the model object 'With Table Reference'.

The following features are supported:

- `With Table Specification`

See Also:
  `SQLQueryModelPackage.getWithTableReference()`

Method Summary
`WithTableSpecification` `getWithTableSpecification()` Returns the value of the 'With Table Specification' reference.
`void` `setWithTableSpecification(WithTableSpecification value)` Sets the value of the '`With Table Specification`' reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.TableExpression
`getColumnList, getResultTableAllColumns, getTableCorrelation, getValueExprColumns, setTableCorrelation`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.TableReference
`getNest, getQuerySelect, getTableJoinedLeft, getTableJoinedRight, setNest, setQuerySelect, setTableJoinedLeft, setTableJoinedRight`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getWithTableSpecification

    WithTableSpecification getWithTableSpecification()

  Returns the value of the 'With Table Specification' reference. It is bidirectional and its opposite is '`With Table References`'.

  If the meaning of the 'With Table Specification' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'With Table Specification' reference.
  See Also:
    `setWithTableSpecification(WithTableSpecification)`, `SQLQueryModelPackage.getWithTableReference_WithTableSpecification()`, `WithTableSpecification.getWithTableReferences()`

### setWithTableSpecification

    void setWithTableSpecification(WithTableSpecification value)

  Sets the value of the '`With Table Specification`' reference.

  Parameters:
    `value` - the new value of the 'With Table Specification' reference.
  See Also:
    `getWithTableSpecification()`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.